<?php
/**
* @version $Id: cbmyjspacetab.php $ 
* @version		1.2b32 for CB (1.2.3, 1.3.x, 1.4, 1.7, 1.8, 1.9) & myjspace 2.0.4+ 13/11/2012
* @plugin		cbmyjspaceTab
* @author       Bernard Saulm
* @copyright	Copyright (C) 2010-2011-2012-2013-2014-2015-2016 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

/** ensure this file is being included by a parent file */
if (!(defined('_VALID_CB') || defined('_JEXEC') || defined('_VALID_MOS'))) { die('Direct Access to this location is not allowed.'); }
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

class cbmyjspaceTab extends cbTabHandler {

	public function __construct()
	{
		$this->cbTabHandler();
	}

	// Generate output
	function getDisplayTab($tab, $user, $ui)
	{

		// Component installed ?
		if (!file_exists(JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php'))
			return 'Component BS com_myjspace is not installed';

		require_once JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php';

		// Parameters
		$plg_label_pages = $this->params->get('plg_label_pages', 'Pages');
		$plg_label_pages_admin = $this->params->get('plg_label_pages_admin', 'Page(s) list and admin');
		$print_tab = $this->params->get('print_tab', 0);
		$print_choice = $this->params->get('print_choice', 0);
		$print_pages_admin = $this->params->get('print_pages_admin', 0);
		$pparams = JComponentHelper::getParams('com_myjspace');
		$user_log = JFactory::getuser();

		// Get page(s) url
		list($list_page_tab, $url) = BSHelperUser::GetUserUrl($user->id, $pparams->get('link_folder_print', 1), 0, true, $print_pages_admin);
		$nb_page = count($list_page_tab);

		// Display Url(s)
		$return = '';
		if ($nb_page > 1 || $print_pages_admin == 1) {
			if ($user->id != 0 && $user->id == $user_log->id)
				$label_pages = $plg_label_pages_admin;
			else
				$label_pages = $plg_label_pages;

			$return = '<a href="'.$url.'">'.$label_pages.'</a>';
		} else if ($nb_page == 1) {
			if ($print_choice == 0 && $return == '')
				$return = '<a href="'.$url.'">'.$list_page_tab[0]['pagename'].'</a>';
			
			// Display content
			$id = $list_page_tab[0]['id'];
			if ($print_choice == 1 && ($content = BSHelperUser::mjsp_exist_page_content($id)) != null)
				$return = &$content;
		}

		if ($print_tab == 1 && !($return))
			$return = '<br />';

		return $return;
	} // end or getDisplayTab function
	
} // end of cbmyjspaceTab class
?>
